Package org.opencv.ximgproc

## Class SelectiveSearchSegmentationStrategyColor

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.SelectiveSearchSegmentationStrategy
    - - org.opencv.ximgproc.SelectiveSearchSegmentationStrategyColor

-     public class SelectiveSearchSegmentationStrategyColor
      extends SelectiveSearchSegmentationStrategy

  Color-based strategy for the selective search segmentation algorithm The class is implemented from the algorithm described in CITE: uijlings2013selective.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SelectiveSearchSegmentationStrategyColor​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SelectiveSearchSegmentationStrategyColor` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |

    - ### Methods inherited from class org.opencv.ximgproc.SelectiveSearchSegmentationStrategy

      `get, merge, setImage, setImage`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectiveSearchSegmentationStrategyColor

          protected SelectiveSearchSegmentationStrategyColor​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static SelectiveSearchSegmentationStrategyColor __fromPtr__​(long addr)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `SelectiveSearchSegmentationStrategy`
      Throws:
        `java.lang.Throwable`